Ubuntu

X server starts before Plymouth, or a very short time after (no or brief splash)

Reported by Krasimir Chonov on 2010-03-18
This bug affects 205 people
Affects Status Importance Assigned to Milestone
plymouth (Ubuntu)
Low
Unassigned
Nominated for Lucid by Eric Appleman

Bug Description

Binary package hint: plymouth

After installing Ubuntu 10.04 Beta 1, the boot screen is not showing anymore. Instead is showed just a blank screen and user is directly dropped into the desktop.

ProblemType: Bug
Architecture: i386
CheckboxSubmission: 3695cf26a52fe7d2db76116a9b94a263
CheckboxSystem: edda5d4f616ca792bf437989cb597002
Date: Thu Mar 18 11:59:45 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
MachineType: System manufacturer System Product Name
Package: plymouth 0.8.0~-17
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-16-generic-pae root=UUID=bfa4d039-c162-4255-ab93-4064f035c704 ro quiet splash
ProcEnviron:
 LANG=bg_BG.utf8
 SHELL=/bin/bash
ProcFB:
 0 radeondrmfb
 1 VGA16 VGA
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic-pae
SourcePackage: plymouth
Uname: Linux 2.6.32-16-generic-pae i686
dmi.bios.date: 11/24/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1803
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M4A78-E
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1803:bd11/24/2009:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4A78-E:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Krasimir Chonov (kchonov) wrote :
tags: added: iso-testing

The problem here is the graphics drivers; on your system they're taking longer to load than it takes to check and mount the filesystem - so there's no reason to start the splash screen, since we can already start X.

On HDD-based systems this is worse because we do the ureadahead phase before loading drivers; thus it can take a long time for a splash to appear.

One "solution" is to use the initramfs and start plymouth as a critical step:

  echo FRAMEBUFFER=y > /etc/initramfs-tools/conf.d/splash
  update-initramfs -u

But that introduces a significant delay into boot just to get the splash screen up for the rest of it

summary: - plymouth doesn`t show boot screen
+ X server starts before Plymouth
Changed in plymouth (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Krasimir Chonov (kchonov) wrote :

Thank you.

A plan for Beta 2, if it works, is to "early load" the graphics drivers - basically delaying the ureadahead phase until after virtual filesystems are mounted (which is the large period of black screen)

summary: - X server starts before Plymouth
+ X server starts before Plymouth, or a very short time after (no or brief
+ splash)
Vallery Lancey (muscovy) wrote :

This worked for me before. Until I tried setting a different splash in alpha3, it worked fine. After that, it completely stopped working, giving and error about being unable to write because of broken pipes. Upgrading to beta1 fixed the shutdown, but not the boot.

davidetkarine (saveurlinux) wrote :

I'm also affected by this bug,
I've got Thinkpad R61 with nvidia nvs 140 card.
I've tried with both nouveau and nvidia proprietary drivers and I've got the same behavior.

Bratmaxe (marcel-456) wrote :

same here on a acer aspire one netbook with intel graphic

Plymouth is showing at shutdown, but not the at boot, sometimes it shows at boot but only a half second or so

mikbini (mikbini) wrote :

In my case I also briefly see this message:

mountall: could not connect to Plymouth

Dennis Schridde (devurandom) wrote :

Maybe also noteworthy is that the initial screen resolution is low, then the screen flickers and comes to a higher resolution. This could possibly be optimised via KMS to get to the full resolution right from the start.

Architecture: i386
DefaultPlymouth: /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
DistroRelease: Ubuntu 10.04
InstallationMedia: Error: [Errno 13] Permiso denegado: '/var/log/installer/media-info'
MachineType: Acer Aspire 2920
NonfreeKernelModules: wl
Package: plymouth 0.8.1-4ubuntu1
PackageArchitecture: i386
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-19-generic root=UUID=0aeac90d-6542-4266-a519-a0bbf5b28689 ro quiet splash
ProcEnviron:
 LANG=es_ES.utf8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Tags: lucid
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Uname: Linux 2.6.32-19-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 02/14/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.13
dmi.board.name: Calado
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.asset.tag: None
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.13:bd02/14/2008:svnAcer:pnAspire2920:pvr0100:rvnAcer:rnCalado:rvrRev:cvnAcer:ct10:cvrN/A:
dmi.product.name: Aspire 2920
dmi.product.version: 0100
dmi.sys.vendor: Acer

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Eric Appleman (erappleman) wrote :

According to what I've seen on mailing lists and IRC, this bug was supposed to be fixed for Beta 2.

What happened?

I test Beta 2 on my hardware and in VirtualBox - still not fixed.

Steve Langasek (vorlon) wrote :

> According to what I've seen on mailing lists and IRC, this bug was
> supposed to be fixed for Beta 2.

> What happened?

That may be based on comment #4 here. I think that proposal has been bumped due to other higher-priority bugs in plymouth.

alex859 (alex859) wrote :

Using Ubuntu 10.04 RC live cd plymouth shows up at boot time (using intel 855GM chip). But it still doesn't work when booting from hd (Ubuntu 9.10 upgraded to 10.04 Beta2)

Uri Shabtay (uri.shabtay) wrote :

same exact issue as @alex859 described, and now the same thing after a CLEAN install of 10.04 RC 64-bit

MilchFlasche (robertus0617) wrote :

My Kubuntu RC live CD can display Plymouth (do you mean that crude textual "Ubuntu 10.04" with four textual dots?), but not a HDD installation of 10.04 (whether clean install or upgrade). On the upgraded installation, the bootup even hangs completely.

For me works the same as Bratmaxe, "Plymouth is showing at shutdown, but not the at boot, sometimes it shows at boot but only a half second or so". I tried the workaround, and now it's perfect. Only tested once though. Boot time does not seem longer. This is on Intel x4500HD.

Uri Shabtay (uri.shabtay) wrote :

@KlavKalashj can you explain what you did to solve this issue?

@Uri Shabtay:
the workaround is from comment 2.

The following worked for me, (however it added approximately 1 second to my total boot time).
Open a terminal and type the following:

# to become superuser (root) (for whatever reason I could not use just sudo echo ... ):
sudo su
# type your password here, then:
echo FRAMEBUFFER=y > /etc/initramfs-tools/conf.d/splash
update-initramfs -u
# exit root-mode:
exit

@Uri Shabtay: Sorry, should have been more clear. It's the one Christian Göbel describes also in the last post. I have now tried several reboots and it still works perfectly. Why isn't this default on Intel hardware? Most people could live with one more second of waiting, to have it look nice :)

Uri Shabtay (uri.shabtay) wrote :

thank you!! sudo alone didn't work for either.. I love it!

Dawning (dawning) wrote :

Yeah, this is happening for me too.. I'm on a Macbook with Intel GMA 3100 running x64 (updated fully with the date of this post).

Stefan T. (stefan-ubuntu) wrote :

Is it safe to use this workaround? Are there any plans to release 'fix' for this issue?

Richard Garvin (garvinrick4) wrote :

I keep 2 lucids and used #2 fix on one of them and it starts my plymouth before X everytime.
Boot time is quick enough for me. Do not really see any difference.

id:
display:0
description: VGA compatible controller
product: Mobile 4 Series Chipset Integrated Graphics Controller
vendor: Intel Corporation
physical id:
2
bus info:
pci@0000:00:02.0
version: 07
width: 64 bits
clock: 33MHz
capabilities: bus_master cap_list rom
configuration:
driver = i915
latency = 0
resources:
irq : 28
memory : d0000000-d03fffff
memory : c0000000-cfffffff(prefetchable)
ioport : 4110(size=8)

For me it's fixed just after clear installation of RC.

garvinrick4, I measured loading time. On my eee pc it takes 35 seconds
without the quirk and 44 seconds with the one. That is 25% longer than
it was.

Dawning (dawning) wrote :

I just installed some updates - and now I do see the splash on boot.. But before it comes up I see a little bit of console boot up noise (not that I care, just thought the point of Plymouth was to make things really pretty and uniform). Anyway, boot seems a little bit lengthy right now too, but I don't have substantial info and it's tolerable.

Richard Garvin (garvinrick4) wrote :

One thing I have found out in my time within Launchpad bugs in Ubuntu is when
Scott James Remnant has posted something you can take it to the bank. That is just
a plain fact. He has explained here why plymouth is having trouble because loading graphic drivers
before you mount is having some trouble. I have
a Brother who is a UNIX IT and he tells me if you want pure boot speed do not even turn the machine on.
Told me didn't he.

scottuss (scottuss) wrote :

The updates this evening don't seem to have fixed this (as far as I can tell) I've got Intel graphics on a Samsung R730.

MichaelB (mrbou) wrote :

Same problem here.. On my computer (Intel Q6600 Quad Core with 4Go RAM, Lucid RC+, NVIDIA driver)

i got 18 seconds of black screen (cursor blink) and after 4 second of Ubuntu logo (bad resolution)

Really with this behavior (cursor blink without indication or logo) people will think that computer is frozen...

71 comments hidden view all 151 comments

Architecture: i386
DefaultPlymouth: /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
MachineType: TOSHIBA Satellite A100
Package: plymouth 0.8.2-2ubuntu2
PackageArchitecture: i386
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic root=UUID=bd3fc623-9c74-48d6-8306-f4cd90a5a0d5 ro vga=795 quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Tags: lucid
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Uname: Linux 2.6.32-22-generic i686
UserGroups:

dmi.bios.date: 07/12/2007
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: 6.00
dmi.board.name: CAPELL VALLEY(NAPA) CRB
dmi.board.vendor: Intel Corporation
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 1
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvr6.00:bd07/12/2007:svnTOSHIBA:pnSatelliteA100:pvrPSAA8C-SK400E:rvnIntelCorporation:rnCAPELLVALLEY(NAPA)CRB:rvrNotApplicable:cvnNoEnclosure:ct1:cvrN/A:
dmi.product.name: Satellite A100
dmi.product.version: PSAA8C-SK400E
dmi.sys.vendor: TOSHIBA

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Steve Langasek (vorlon) wrote :

Please don't send apport results to this bug. They're not the least bit relevant.

Brian Wright (bdw) wrote :

I can confirm that the workaround in comment 2 did resolve the issue for me and I had a fast startup! :-)

Graphics card: ATI Radeon 4850 chipset
Drivers: Proprietary ATI drivers version 8.723
Kernel: 2.6.32-22-generic-pae

Can you provide a link for the fix?
Thank you

On Tue, May 11, 2010 at 6:53 AM, Brian Wright <email address hidden> wrote:

> I can confirm that the workaround in comment 2 did resolve the issue for
> me and I had a fast startup! :-)
>
> Graphics card: ATI Radeon 4850 chipset
> Drivers: Proprietary ATI drivers version 8.723
> Kernel: 2.6.32-22-generic-pae
>
> --
> X server starts before Plymouth, or a very short time after (no or brief
> splash)
> https://bugs.launchpad.net/bugs/540801
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “plymouth” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: plymouth
>
> After installing Ubuntu 10.04 Beta 1, the boot screen is not showing
> anymore. Instead is showed just a blank screen and user is directly dropped
> into the desktop.
>
> ProblemType: Bug
> Architecture: i386
> CheckboxSubmission: 3695cf26a52fe7d2db76116a9b94a263
> CheckboxSystem: edda5d4f616ca792bf437989cb597002
> Date: Thu Mar 18 11:59:45 2010
> DistroRelease: Ubuntu 10.04
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
> MachineType: System manufacturer System Product Name
> Package: plymouth 0.8.0~-17
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-16-generic-pae
> root=UUID=bfa4d039-c162-4255-ab93-4064f035c704 ro quiet splash
> ProcEnviron:
> LANG=bg_BG.utf8
> SHELL=/bin/bash
> ProcFB:
> 0 radeondrmfb
> 1 VGA16 VGA
> ProcVersionSignature: Ubuntu 2.6.32-16.25-generic-pae
> SourcePackage: plymouth
> Uname: Linux 2.6.32-16-generic-pae i686
> dmi.bios.date: 11/24/2009
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 1803
> dmi.board.asset.tag: To Be Filled By O.E.M.
> dmi.board.name: M4A78-E
> dmi.board.vendor: ASUSTeK Computer INC.
> dmi.board.version: Rev 1.xx
> dmi.chassis.asset.tag: Asset-1234567890
> dmi.chassis.type: 3
> dmi.chassis.vendor: Chassis Manufacture
> dmi.chassis.version: Chassis Version
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvr1803:bd11/24/2009:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4A78-E:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
> dmi.product.name: System Product Name
> dmi.product.version: System Version
> dmi.sys.vendor: System manufacturer
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/540801/+subscribe
>

bojo42 (bojo42) wrote :

@cha0x: just to repeat what's already stated here, run the following 2 commands:

echo "FRAMEBUFFER=yes" | sudo tee /etc/initramfs-tools/conf.d/splash

sudo update-initramfs -u -k all

Leandro (leandromartinez98) wrote :

I had this problem with every singe upgrade or clean installation I did. They were:

Vaio CR laptop (upgrade from hardy)
Vaio TT laptop (upgrade from jaunty)
Vaio NR laptop (upgrade from jaunty)
Desktop with ATI card (64 bit, using alternate installer, clean installation)
Desktop with Nvidia card (32 bit, using alternate installer, clean installation)
Asus EeePC 1008HA (upgrade from jaunty)

The fix proposed works every time. From my experience, therefore, out-of-the-box
lucid bug is just plain ugly, with text and blinking cursors. The fix is already there,
and works, will it be available by default anytime?

Khaos (dr-ka0x) wrote :

I think that it will be included in the default ubuntu updates am I wrong?

On Mon, May 17, 2010 at 5:09 PM, Leandro <email address hidden>wrote:

>
> I had this problem with every singe upgrade or clean installation I did.
> They were:
>
> Vaio CR laptop (upgrade from hardy)
> Vaio TT laptop (upgrade from jaunty)
> Vaio NR laptop (upgrade from jaunty)
> Desktop with ATI card (64 bit, using alternate installer, clean
> installation)
> Desktop with Nvidia card (32 bit, using alternate installer, clean
> installation)
> Asus EeePC 1008HA (upgrade from jaunty)
>
> The fix proposed works every time. From my experience, therefore,
> out-of-the-box
> lucid bug is just plain ugly, with text and blinking cursors. The fix is
> already there,
> and works, will it be available by default anytime?
>
> --
> X server starts before Plymouth, or a very short time after (no or brief
> splash)
> https://bugs.launchpad.net/bugs/540801
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “plymouth” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: plymouth
>
> After installing Ubuntu 10.04 Beta 1, the boot screen is not showing
> anymore. Instead is showed just a blank screen and user is directly dropped
> into the desktop.
>
> ProblemType: Bug
> Architecture: i386
> CheckboxSubmission: 3695cf26a52fe7d2db76116a9b94a263
> CheckboxSystem: edda5d4f616ca792bf437989cb597002
> Date: Thu Mar 18 11:59:45 2010
> DistroRelease: Ubuntu 10.04
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
> MachineType: System manufacturer System Product Name
> Package: plymouth 0.8.0~-17
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-16-generic-pae
> root=UUID=bfa4d039-c162-4255-ab93-4064f035c704 ro quiet splash
> ProcEnviron:
> LANG=bg_BG.utf8
> SHELL=/bin/bash
> ProcFB:
> 0 radeondrmfb
> 1 VGA16 VGA
> ProcVersionSignature: Ubuntu 2.6.32-16.25-generic-pae
> SourcePackage: plymouth
> Uname: Linux 2.6.32-16-generic-pae i686
> dmi.bios.date: 11/24/2009
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 1803
> dmi.board.asset.tag: To Be Filled By O.E.M.
> dmi.board.name: M4A78-E
> dmi.board.vendor: ASUSTeK Computer INC.
> dmi.board.version: Rev 1.xx
> dmi.chassis.asset.tag: Asset-1234567890
> dmi.chassis.type: 3
> dmi.chassis.vendor: Chassis Manufacture
> dmi.chassis.version: Chassis Version
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvr1803:bd11/24/2009:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4A78-E:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
> dmi.product.name: System Product Name
> dmi.product.version: System Version
> dmi.sys.vendor: System manufacturer
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/540801/+subscribe
>

David Tombs (dgtombs) wrote :

The "fix" in comment #2 is a workaround and not a true fix, so it will not be released via regular updates.

Erick Brunzell (lbsolost) wrote :

Although not totally related I experienced this after correcting a SWAP UUID problem. I had resized my SWAP, thus changing the UUID, and after correcting the UUID's in /etc/fstab and /etc/initramfs-tools/conf.d/resume, then running "update-initramfs -u" I was still unable to restore the plymouth "quiet splash".

I'd just have a black screen until gdm. If I reinstalled plymouth the "quiet splash" would work one time, then stop again. Creating "/etc/initramfs-tools/conf.d/splash" with "FRAMEBUFFER=y" and again running "update-initramfs -u" seems to have "fixed" this with no extreme slow-down in boot.

I probably just need to learn some new tricks regarding UUID hell w/plymouth, ureadahead, and mountall.

yeti (utu) wrote :

I've found a simple workaround for Old SiS video that improves the appearance at boot-up a lot for me. See bug 584339.

Erick Brunzell (lbsolost) wrote :
Download full text (3.2 KiB)

RE: my last post. Errm, it's not just due to resizing SWAP, or perhaps not at all.

I'm building a box specifically for testing. I began with three primary partitions; 50GB, 20GB, 20GB, thinking that I'd use sda1 for virtual machine stuff. For some reason I had trouble with SWAP which was on the far right end of the drive, but I'd copied SWAP and four logical data partitions from another machine.

Anyway, today I decided it would be smarter to go 20GB, 20GB, 50GB in case I decided to increase the size of the OS with the virtual setup(s). I'm building right to left in the extended partition so I'll have room to play with.

Bottom line is after resizing the three primary partitions the newest Lucid did the same exact thing! No quiet splash at all, just a black screen! SWAP was not changed at all and it still mounts properly. No UUID's changed.

Maybe this kind of explains the layout:

lance@lance-desktop:~$ sudo parted /dev/sda print
Model: ATA WDC WD5000AAKS-0 (scsi)
Disk /dev/sda: 500GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number Start End Size Type File system Flags
 1 32.3kB 21.5GB 21.5GB primary ext3 boot
 2 21.5GB 42.9GB 21.5GB primary ext3
 3 42.9GB 96.2GB 53.3GB primary ext3
 4 96.2GB 500GB 404GB extended
12 258GB 280GB 21.6GB logical ext2
11 280GB 301GB 21.7GB logical ext2
10 301GB 323GB 21.8GB logical ext2
 5 323GB 378GB 55.1GB logical ext3
 6 378GB 432GB 53.6GB logical ext3
 7 432GB 487GB 54.9GB logical ext3
 8 487GB 498GB 10.7GB logical ext3
 9 498GB 500GB 2517MB logical linux-swap(v1)

lance@lance-desktop:~$ sudo blkid -c /dev/null
/dev/sda1: LABEL="Maverick" UUID="b7a0df33-53e4-4f0d-856b-0da92ff0d743" TYPE="ext3"
/dev/sda2: LABEL="Karmic" UUID="1332b9d0-cf18-4299-9094-12acbdac91ad" SEC_TYPE="ext2" TYPE="ext3"
/dev/sda3: LABEL="Lucid" UUID="dea3fd63-7af4-4fe9-a923-18baf17dd0eb" SEC_TYPE="ext2" TYPE="ext3"
/dev/sda5: LABEL="Backups" UUID="594c3d40-2791-4c0a-8644-d9812545da2d" SEC_TYPE="ext2" TYPE="ext3"
/dev/sda6: LABEL="Pictures" UUID="8a3f6c83-cb52-4caf-96b8-5faf2c830453" SEC_TYPE="ext2" TYPE="ext3"
/dev/sda7: LABEL="Downloads" UUID="05289ee4-d681-4806-b6fd-aefd784f9323" SEC_TYPE="ext2" TYPE="ext3"
/dev/sda8: LABEL="Documents" UUID="571cfad8-68c7-4703-883e-c0baa2a381d4" TYPE="ext3"
/dev/sda9: UUID="9ebb3f20-c774-4547-911f-a5af439aee27" TYPE="swap"
/dev/sda10: UUID="a50d293d-bf3a-4300-b5fd-2b65c28392ed" TYPE="ext2"
/dev/sda11: UUID="40fc650a-3369-4843-be25-63af8a44d5f2" TYPE="ext2"
/dev/sda12: UUID="8af37927-9e67-4df7-8e11-1e4b4b455c36" TYPE="ext2"

My previous post was in reference to sda1 which is still Lucid, I'm just planning to convert it to Maverick. That sda3 is also Lucid and I'd planned on using it for building virtual machines (for testing). The one on sda3 is the latest to have plymouth fail after resizing.

I'm just curious why resizing a lucid partition would result in no splash?

I know this looks and sounds confusing :^(

BTW sda10, 11, and 12 are not even used yet but one will be Squeeze, another Mint 9, then I'll...

Read more...

Erick Brunzell (lbsolost) wrote :

Wow, was I long winded, sorry about that.

What I discovered regarding the loss of plymouth's "quiet splash", both after correcting the UUID problem created by resizing SWAP, and also after resizing/moving a Lucid root "/" partition was that, in both instances, simply forcing a reprofile of ureadahead by removing the "pack" files in /var/lib/ureadahead and rebooting. Specific recap:

Test case #1) I had resized/moved the Lucid root partition and lost the "quiet splash". I had only the black screen with perhaps 1 second of "plymouth" and then the login screen, and no "plymouth" at all on shutdown or reboot. I had not created an /etc/initramfs-tools/conf.d/splash w/FRAMEBUFFER=y. After forcing a reprofile of ureadahead by removing the "pack" files in /var/lib/ureadahead and rebooting all had returned to normal. I have rebooted numerous times and all is well.

Test case #2) I had resized a SWAP partition due to hardware changes and after correcting the UUID's in /etc/fstab and /etc/initramfs-tools/conf.d/resume, and updating initramfs, I was still not able to restore the "quiet splash". Just as above I only got a black screen with perhaps 1 second of "plymouth" and then the login screen, and no "plymouth" at all on shutdown or reboot.

                       I then created an /etc/initramfs-tools/conf.d/splash w/FRAMEBUFFER=y which restored "plymouth" but I really wanted to restore things to their original state. So having succeeded in test case #1 I went ahead and removed the new /etc/initramfs-tools/conf.d/splash, rebooted to be sure I hadn't totally broken anything and then once again forced a reprofile of ureadahead. Voila, success again :^)

So I guess that if someone had a "quiet splash" at one time and lost it for some reason, whether repartitioning or anything else, it's certainly worth trying to force a reprofile of ureadahead. I can't imagine it doing any harm.

David Tombs (dgtombs) wrote :

Erick, if you think you have a different problem, please open a new bug report. Thanks.

Felicia (sisternotes) wrote :

I tried the commands in comments #2 and #29. I've an ATI Radeon 7500 on a Compaq Evo N610c laptop.
Boot time before was 40.5 seconds and boot time after was 41.3 seconds. I noticed however, that booting is faster when I shut down and then start vs. when I "restart" - restarting took 46.7 sec (before the changes). In both cases, I start the timer from the grub screen when I select the operating system (still using Karmic until I get all the Lucid issues resolved...).

Thank you!

Id2ndR (id2ndr) wrote :

I'm wondering if there is a way to make the graphic drivers load before ureadahead start in order to get the splash during the time of boot (which is the aim).

Id2ndR (id2ndr) wrote :

Any news on this trouble ? (It's still here in Maverick)

Florian Snow (floriansnow) wrote :

I tried the workaround from comment #2 but unfortunately, it does not work as expected. I get the same result as before, that is a few seconds of a blinking cursor in low-res mode, then a few seconds of blinking cursor in high-res mode, then about one to two seconds of splash screen and then GDM. My graphics card is an Intel integrated into the Core i3-370m.

Any suggestions on why the workaround would not work on my computer?

radioyf (tohyf) on 2010-12-13
Changed in plymouth (Ubuntu):
status: Triaged → New
Steve Langasek (vorlon) on 2010-12-13
Changed in plymouth (Ubuntu):
status: New → Triaged
sacha@ubuntu (sacha-b77) wrote :

Hello!

@Florian Snow:

Did you have done with sudo? To modify initramfs tools, you must be connected with root permissions.

Read comment n°29 and try the method of Chritian Göbel.

It works for me with an intel graphic card on Ubunut 10.04 and 10.10.

Gotit (sca957) wrote :

Having the same problem on a fresh install of 10.04.2.
New MOBO: MSI 880GM-43E
Video Chip: ATI Radeon HD4250
Video Driver: stock ubuntu

Work around does not work:
    echo "FRAMEBUFFER=yes" | sudo tee /etc/initramfs-tools/conf.d/splash

    sudo update-initramfs -u

very annoying as I have 3 other machines upgraded from 9.10 that show the splash just fine.

Gotit (sca957) wrote :

I take it all back! :-)
It seems it takes a while for the mobo's on-board video to turn on. I installed a nvidia video card and the boot splash shows. However, after installing the nvidia video driver the splash screen resolution is lower than 1920 x 1080 that I have my display set at.

So, it's working (don't know if the "work around" was ever needed), now if someone can just tell me how to adjust the splash resolution...

Jimmy Merrild Krag (beruic) wrote :

I have had this issue on Maverick, and now I have it on a fresh Natty install.
The workaround works.
I use Intel graphics.
Is there more info I can provide?

After reading comment #2 however I'm a bit in doubt whether I should remove the workaround.
Can anyone tell me if I should?

Same issue here, fresh install of Natty - so new in fact that I just wiped my system and re-installed prior to writing this message. I get one or two seconds of black screen with a flashing cursor, then 10-15 seconds of black screen (sans cursor), then maybe the boot splash will appear for a brief moment, followed by my desktop.

 The workaround in comment #2 does not work for me, nor does the Lucid/Maverick "fix the big and ugly logo" method (which includes the steps from comment #2).

Occurs with both the default open source ATI driver and with fglrx.

David Roth (davrot) wrote :

Same issue here, fresh instasll of Maverick/Natty.
I'm using a Laptop with Intel Graphics Media Accelerator (GMA) 4500MHD, so this problem does also occur with open source drivers.

Daniel van Vugt (vanvugt) wrote :

This solves the problem for me in natty:

[/etc/default/grub]:
    GRUB_BACKGROUND="<path to grub.png>"

And then run update-grub.

You'll see the image as soon as grub starts, and it will stay on the screen until X starts (or plymouth, whichever comes first).

This solution almost seems too perfect and simple (?!)

Daniel van Vugt (vanvugt) wrote :

Note you will need to click on View all comments to see the attachment grub.png in comment #145.

Dmitri (lamukra) wrote :

Ubuntu 11.04 x64 Natty Narwhal
ATI RadeonHD 5650

ATI Open Source Driver - RADEON -> manually configured xorg.conf

Kernel 2.6.38-11-generic

-------------------------------------------------------------------

/etc/default/grub

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

-------------------------------------------------------------------

HOW TO:

sudo -s

echo FRAMEBUFFER=y > /etc/initramfs-tools/conf.d/splash

update-initramfs -u

-------------------------------------------------------------------

Boot Time is Less than before

WORKAROUND WORKS FOR NATTY X64 PROVIDED IN COMMENT #2 !!!

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/924971

Xiaojun Ma (damage3025) wrote :

Hi, all.

I just experienced this bug on 12.04.

I knew the fancy workaround from
http://byobu.info/wiki/Changing_Plymouth_Resolution_in_Ubuntu

startupmanager no longer available in 12.04 so a graphical fix seems impossible.
https://launchpad.net/startup-manager/+announcement/8300

I wonder, why don't we make splash screen independent of fragile X drivers?

Ι have the same bug in 12.04 in startup and shutdown splash screen and I
fixed the startup only splash with this command:

echo "FRAMEBUFFER=yes" | sudo tee /etc/initramfs-tools/conf.d/splash

sudo update-initramfs -u -k all

But in the shutdown splash screen the problem remains. I have black screen
with text etc :)

On Thu, Jun 21, 2012 at 2:20 PM, Ma Xiaojun <email address hidden> wrote:

> Hi, all.
>
> I just experienced this bug on 12.04.
>
> I knew the fancy workaround from
> http://byobu.info/wiki/Changing_Plymouth_Resolution_in_Ubuntu
>
> startupmanager no longer available in 12.04 so a graphical fix seems
> impossible.
> https://launchpad.net/startup-manager/+announcement/8300
>
> I wonder, why don't we make splash screen independent of fragile X
> drivers?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/540801
>
> Title:
> X server starts before Plymouth, or a very short time after (no or
> brief splash)
>
> Status in “plymouth” package in Ubuntu:
> Triaged
>
> Bug description:
> Binary package hint: plymouth
>
> After installing Ubuntu 10.04 Beta 1, the boot screen is not showing
> anymore. Instead is showed just a blank screen and user is directly
> dropped into the desktop.
>
> ProblemType: Bug
> Architecture: i386
> CheckboxSubmission: 3695cf26a52fe7d2db76116a9b94a263
> CheckboxSystem: edda5d4f616ca792bf437989cb597002
> Date: Thu Mar 18 11:59:45 2010
> DistroRelease: Ubuntu 10.04
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
> MachineType: System manufacturer System Product Name
> Package: plymouth 0.8.0~-17
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-16-generic-pae
> root=UUID=bfa4d039-c162-4255-ab93-4064f035c704 ro quiet splash
> ProcEnviron:
> LANG=bg_BG.utf8
> SHELL=/bin/bash
> ProcFB:
> 0 radeondrmfb
> 1 VGA16 VGA
> ProcVersionSignature: Ubuntu 2.6.32-16.25-generic-pae
> SourcePackage: plymouth
> Uname: Linux 2.6.32-16-generic-pae i686
> dmi.bios.date: 11/24/2009
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 1803
> dmi.board.asset.tag: To Be Filled By O.E.M.
> dmi.board.name: M4A78-E
> dmi.board.vendor: ASUSTeK Computer INC.
> dmi.board.version: Rev 1.xx
> dmi.chassis.asset.tag: Asset-1234567890
> dmi.chassis.type: 3
> dmi.chassis.vendor: Chassis Manufacture
> dmi.chassis.version: Chassis Version
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvr1803:bd11/24/2009:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4A78-E:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
> dmi.product.name: System Product Name
> dmi.product.version: System Version
> dmi.sys.vendor: System manufacturer
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/540801/+subscriptions
>

moray33 (moray33) wrote :

I have problems with the Plymouth since I started using Kubuntu 3 years ago. I have a nVidia GeForce 8400.

Depending of the system version, the plymoth was only text or had a wrong resolution.
In 12.10 with the 304 drivers I had wrong resolution, with 310 only text. Now in 13.04 with 304 310 and 313 drivers I only have text in the Plymoth.

I don't know how much difficult is solve this, but this bug exists for YEARS. It gives bad image to the users, and the importance shouldn't be so low to developers since it's supossed that Ubuntu gives importance to a good apperance.

Regards.

Displaying first 40 and last 40 comments. View all 151 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments